> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eyelevel.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eyelevel.ai/_mcp/server.

# list

GET https://api.groundx.ai/api/v1/group

list all groups within your GroundX account.


Reference: https://docs.eyelevel.ai/reference/api-reference/groups/list

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Request

### Query parameters

- `n` (integer, optional) — The maximum number of returned groups. Accepts 1-100 with a default of 20.
- `nextToken` (string, optional) — A token for pagination. If the number of groups for a given query is larger than n, the response will include a "nextToken" value. That token can be included in this field to retrieve the next batch of n groups.

## Response

### 200

Successful retrieval of groups

- `groups` (list of GroupDetail, optional)
- `count` (integer, optional) — The number of groups returned in the current response
- `remaining` (integer, optional) — The number of groups that have not been returned yet, will be null if there are no remaining groups
- `total` (integer, optional) — The total number of groups found

## Types

### GroupDetail

- `groupId` (integer, required)
- `buckets` (list of BucketDetail, optional) — The content buckets associated with the group
- `created` (string, optional) — The data time when the group was created, in RFC3339 format
- `fileCount` (integer, optional) — The number of files contained in the content buckets associated with the group
- `fileSize` (string, optional) — The total file size of files contained in the content buckets associated with the group
- `name` (string, optional)
- `prompt` (string, optional) — The group chat prompt stored in settings, when configured.
- `updated` (string, optional) — The data time when the group was last updated, in RFC3339 format

### BucketDetail

- `bucketId` (integer, required)
- `created` (string, optional) — The data time when the bucket was created, in RFC3339 format
- `fileCount` (integer, optional) — The number of files contained in the content bucket
- `fileSize` (string, optional) — The total file size of files contained in the content bucket
- `name` (string, optional)
- `updated` (string, optional) — The data time when the bucket was last updated, in RFC3339 format

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "groups": [
    {
      "groupId": 42,
      "buckets": [
        {
          "bucketId": 101,
          "created": "2024-05-10T14:22:35.123Z",
          "fileCount": 25,
          "fileSize": "12.4GB",
          "name": "Marketing Assets",
          "updated": "2024-06-01T09:15:47.456Z"
        }
      ],
      "created": "2024-04-15T10:05:20.789Z",
      "fileCount": 250,
      "fileSize": "120.7GB",
      "name": "Product Launch Group",
      "prompt": "Collaborate on Q3 product launch materials",
      "updated": "2024-06-01T09:15:47.456Z"
    }
  ],
  "count": 1,
  "remaining": 10,
  "total": 30
}
```

**SDK Code**

```python
import requests

url = "https://api.groundx.ai/api/v1/group"

payload = {}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.groundx.ai/api/v1/group';
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.groundx.ai/api/v1/group"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.groundx.ai/api/v1/group")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.groundx.ai/api/v1/group")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.groundx.ai/api/v1/group', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.groundx.ai/api/v1/group");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.groundx.ai/api/v1/group")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```